Subject: Governor Ventura Digest
Date: Mon, 23 Nov 1998 19:30:00 PST
Newsgroups: rec.humor.funny

[ context:
...the state of Minnesota
just elected former professional wrestler, actor, and Navy SEAL Jesse "The
Body" Ventura as that state's Governor. ]

        =       =       =       =       =       =       =
From: [email-masked] (Scott Craver)
Subject: Gov. "The Body" Ventura

	I have a standard response to anyone who rants about Jesse
	"that pro-wrestler guy" Ventura being elected governor of 
	Minnesota.  Whenever someone starts screaming about how
	this election means that Americans are stupid and that the 
	end of the world is nigh, I flash him/her a look of surprise 
	and concern and quietly exclaim:  "um, dude, politics is fake."

        =       =       =       =       =       =       =

> Jesse Ventura's campaign promises:
> 
> 1. Lower unemployment
> 2. Lessen the tax burden of the average citizen
> 3. Deliver a lesson in pain to Wisconsin, making that state
>      wish it had never direspected its common border, delivering
>      blow after blow is a lesson in cruelty the likes of which
>      has yet to be seen. You know your time is coming, Wisconsin!
>      Wisconsin will beg for mercy, McMahon, and Wisconsin's
>      cries are going to be loud and sad, like the pitiful, pathetic
>      state it is! Don't think Minnesota has forgotten about the folding
>      chair that night in Madison--oh no. That's gonna be repaid,
>      McMahon, repaid a thousandfold in a feverish hurricane of
>      flying fists and body blows! Michigan and the Dakotas had
>      better watch themselves, because once Wisconsin goes down,
>      Minnesota's gonna be looking for them, too! Mark my words,
>      McMahon--it's gonna be a Minnesota midwestern massacre,
>      and Wisconsin can start cowering and trying to hide now. But
>      Minnesota knows where you are, Wisconsin! Minnesota knows
>      where to find you! You ain't getting away this time. You're too
>      big to hide, and Minnesota's gonna fight you until there's only
>      one state standing! Like I always say, McMahon--win if you can,
>      lose if you must, but always CHEAT!
> 4. Cut down on crime.
>
>      [ -- Chris Bucholtz ]

        =       =       =       =       =       =       =
From: [email-masked] (Janet Dornhoff, DVM)
Subject: But was he an honor student?

Got this one from my father....

A new bumper sticker has been sighted in Minnesota:

       My governor can beat up your governor!